cs_fsm_entry Struct Reference

`#include <fsm.h>`

Collaboration diagram for cs_fsm_entry:
[legend]

## Data Fields

int32_t | curr_state
int32_t | event
cs_fsm_event_action_fn | handler_fn
int32_t | next_states [CS_FSM_NEXT_STATE_SIZE]

## Detailed Description

Definition at line 58 of file fsm.h.

## Field Documentation

## curr_state

int32_t cs_fsm_entry::curr_state

Definition at line 59 of file fsm.h.

## event

int32_t cs_fsm_entry::event

Definition at line 60 of file fsm.h.

## handler_fn

cs_fsm_event_action_fn cs_fsm_entry::handler_fn

Definition at line 61 of file fsm.h.

## next_states

int32_t cs_fsm_entry::next_states[CS_FSM_NEXT_STATE_SIZE]

Definition at line 62 of file fsm.h.

The documentation for this struct was generated from the following file:

- fsm.h